Skip to main content
GET
/
v1
/
webhooks
List webhooks
curl --request GET \
  --url https://api.waycore.com/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "url": "<string>",
      "events": [
        "connection.status_changed"
      ],
      "secret": "<string>",
      "active": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Client Credentials issuing JWT Bearer access tokens.

Query Parameters

cursor
string | null

Pagination cursor from a previous response.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 500
fields
string | null

Comma-separated sparse fieldset. The server always includes required identifiers.

Response

Successful Response

data
Webhook · object[]
required
pagination
Pagination · object
required
meta
Meta · object
required